.message {
  transition: 0.35s;
  height: 90px;
  box-sizing: border-box;
  padding: 5px 10px;
  border-bottom: 2px solid #424242;
  font-size: 10px;
  white-space: normal;
  position: relative;

  &__anchor {
    text-decoration: none;
    color: #353535;
  }

  &__header {
    display: flex;
    flex-flow: row nowrap;

    &--author {
      padding: 0;
      font-size: 16px;
      font-weight: 800;
      text-decoration: none;
      flex: 1 0 50%;
    }

    &--date {
      padding: 0;
      font-size: 12px;
      font-style: italic;
    }
  }

  .message__subject {
    font-size: 12px;
    margin: 5px 0;
    font-weight: 800;
  }

  .message__options {
    background: #fff;
    width: 0;
    overflow: hidden;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    transition: 0.5s;
    cursor: pointer;
    display: flex;
    flex-flow: nowrap column;
    align-items: center;

    .message__option {
      flex: 1 1 100%;
    }
  }

  &:hover {
    background: #e0e0e0;
  }

  &:hover .message__options {
    width: 35px;
  }

  &:last-child {
    border: none;
  }
}
